from twisted.internet.defer import inlineCallbacks, returnValue
from juju.state.service import ServiceStateManager


@inlineCallbacks
def expose(context, service_name):
    """Expose a service."""
    service_manager = ServiceStateManager(context.client)
    service_state = yield service_manager.get_service_state(service_name)
    already_exposed = yield service_state.get_exposed_flag()
    if not already_exposed:
        yield service_state.set_exposed_flag()
        context.log.info("Service %r was exposed.", service_name)
    else:
        context.log.info("Service %r was already exposed.", service_name)
    returnValue(True)
