from twisted.internet.defer import inlineCallbacks, returnValue
from juju.state.service import ServiceStateManager


@inlineCallbacks
def unexpose(context, service_name):
    """Unexpose a service."""
    service_manager = ServiceStateManager(context.client)
    service_state = yield service_manager.get_service_state(service_name)
    already_exposed = yield service_state.get_exposed_flag()
    if already_exposed:
        yield service_state.clear_exposed_flag()
        context.log.info("Service %r was unexposed.", service_name)
    else:
        context.log.info("Service %r was not exposed.", service_name)
    returnValue(True)
